<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processor/Composite.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processor.Composite</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../Processor.html" >Processor</a>
</div><div class="class-name">class Composite

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/Processor.py.html" target="detail">../Synopsis/Processor.py</a></div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Composite" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line143" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Composite-inheritance" src="Composite-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Composite-inheritance_map" />
<map name="Composite-inheritance_map"><area alt="Scopes/Synopsis/Processor/Processor.html" href="Processor.html" shape="rect" coords="16, 82, 200, 106" />
<area alt="Scopes/Synopsis/Processor/Parametrized.html" href="Parametrized.html" shape="rect" coords="5, 7, 211, 31" />
</map>
 <div class="doc">A Composite processor.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="processors">processors</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line146" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Composite.html#__init__" >__init__</a></span>(<span class="variable">self</span>, <span class="keyword">*</span> <span class="variable">processors</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Composite.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line148" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">This __init__ is a convenience constructor that takes a var list
      to list the desired processors.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Composite.html#process" >process</a></span>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Composite.process" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line155" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">apply a list of processors.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Class attributes Inherited from Processor">
<tr><td colspan="2" class="heading">Class attributes Inherited from Processor</td></tr>
<tr><td class="inherited"><a href="Processor.html#verbose" title="class attribute Processor.verbose">verbose</a>,
<a href="Processor.html#debug" title="class attribute Processor.debug">debug</a>,
<a href="Processor.html#profile" title="class attribute Processor.profile">profile</a>,
<a href="Processor.html#input" title="class attribute Processor.input">input</a>,
<a href="Processor.html#output" title="class attribute Processor.output">output</a></td></tr></table>
<table width="100%" summary="Methods Inherited from Processor">
<tr><td colspan="2" class="heading">Methods Inherited from Processor</td></tr>
<tr><td class="inherited"><a href="Processor.html#merge_input" title="method Processor.merge_input">merge_input</a>,
<a href="Processor.html#output_and_return_ir" title="method Processor.output_and_return_ir">output_and_return_ir</a></td></tr></table>
<table width="100%" summary="Methods Inherited from Parametrized">
<tr><td colspan="2" class="heading">Methods Inherited from Parametrized</td></tr>
<tr><td class="inherited"><a href="Parametrized.html#clone" title="method Parametrized.clone">clone</a>,
<a href="Parametrized.html#get_parameters" title="method Parametrized.get_parameters">get_parameters</a>,
<a href="Parametrized.html#set_parameters" title="method Parametrized.set_parameters">set_parameters</a></td></tr></table>
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="keyword">*</span> <span class="variable">processors</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Composite.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line148" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">This __init__ is a convenience constructor that takes a var list
      to list the desired processors. If the named values contain 'processors'&#44;
      they override the var list.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Composite.process" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line155" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">apply a list of processors. The 'input' value is passed to the first
      processor only&#44; the 'output' to the last. 'verbose' and 'debug' are
      passed down if explicitely given as named values.
      All other keywords are ignored.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
